Skip to main content
POST
Execute a manual workflow for a server

Authorizations

Authorization
string
header
required

JWT sent in Authorization: Bearer . Access depends on the token's network membership and permissions. The admin endpoint requires admin claims.

Headers

X-Network-ID
string
required

Network ID

Query Parameters

server_id
string
required

Server ID

Body

application/json

Manual workflow execution request

Manual workflow execution request

workflow_id
string
Example:

"internal.cleanup"

Response

OK

Response for executing a manual workflow on a single server.

error_message
string
Example:

"workflow execution was rejected by serverhost"

message
string
Example:

"Manual workflow execution completed"

server_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

success
boolean
Example:

true

workflow_id
string
Example:

"internal.cleanup"